Bug 1313438 - autoconf-archive RPM missing in RHEL 6
autoconf-archive RPM missing in RHEL 6
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: autoconf-archive (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 10:29 EST by Assen Totin
Modified: 2017-08-01 16:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Assen Totin 2016-03-01 10:29:34 EST
Description of problem:
The autoconf-archive RPM package is missing from RHEL-6, although it seem to have been there (and even in EPEL for RHEL5). Package is present in EPEL for RHEL7 and recent Fedora versions.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. yum makecache
2. yum search autoconf-archive

Actual results:
No RPM found.

Expected results:
RPM should be present. 

Additional info:
autoconf-archive is a set of autoconf macros which are essential for software developers, e.g., AX_PTHREAD (why is this not in glibc-devel is another mystery). Without a macro like this it is impossible to autoconf any package that uses libptheard (i.e. most of the modern networked services or applications).

The RPM and SRPM lists do not show this RPM also:
https://dl.fedoraproject.org/pub/epel/6/SRPMS/repoview/letter_a.group.html

The autoconf-archive is present for RHEL7 and recent fedora versions (at least 21-23) and it seemed to have been present for RHEL5 and 6 - e.g., see #1122747 .
Comment 1 David King 2016-03-01 10:41:46 EST
autoconf-archive for EPEL 6 and 5 was orphaned and retired in late 2014:

http://pkgs.fedoraproject.org/cgit/rpms/autoconf-archive.git/commit/?h=el6

If you want it for older EPEL than 7, you will need to find a maintainer for those branches, or become one yourself.
Comment 2 Fan Du 2016-06-29 23:28:20 EDT
(In reply to David King from comment #1)
> autoconf-archive for EPEL 6 and 5 was orphaned and retired in late 2014:
> 
> http://pkgs.fedoraproject.org/cgit/rpms/autoconf-archive.git/commit/?h=el6
> 
> If you want it for older EPEL than 7, you will need to find a maintainer for
> those branches, or become one yourself.

Hi
Is there any equivalent of autoconf-archive in Redhat7?

I got missing to find some MACROS which autoconf-archive contains.
Comment 3 Fan Du 2016-06-29 23:29:35 EDT
oh, may I ask why it's orphaned?
Thanks!
Comment 4 Pavel Raiskup 2016-06-30 04:49:22 EDT
(In reply to Fan Du from comment #3)
> oh, may I ask why it's orphaned?
> Thanks!

I believe nobody volunteered in EPEL to continue with packaging.  I believe
actual maintainers would be OK if you offered a help here with packaging?
Comment 5 bharper 2017-08-01 16:47:45 EDT
Seeing that EL6 is in production 3 phase (only critical security patches), I have mixed thoughts about reintroducing a package.  That being said, the current Fedora SRPM does successfully build on EL6.  Given the low update cycle, it might only be updated a few times before EL6 goes EOL.

Note You need to log in before you can comment on or make changes to this bug.